using System;
using System.Collections.Generic;
using System.Windows.Forms;
using System.Text;
using BearWare;

namespace TeamTalk.NET
{
    class Util
    {
        public static bool Equals(VideoCodec c1, VideoCodec c2)
        {
            return c1.nCodec == c2.nCodec &&
                c1.theora.nQuality == c2.theora.nQuality &&
                c1.theora.nTargetBitRate == c2.theora.nTargetBitRate;
        }

        public static bool Equals(CaptureFormat c1, CaptureFormat c2)
        {
            return c1.nFPS_Denominator == c2.nFPS_Denominator &&
                c1.nFPS_Numerator == c2.nFPS_Numerator &&
                c1.nHeight == c2.nHeight && c1.nWidth == c2.nWidth &&
                c1.picFourCC == c2.picFourCC;
        }
    }

    public class Settings
    {
        public SoundSystem soundsystem = SoundSystem.SOUNDSYSTEM_DSOUND;
        public int sndinputid;
        public int sndoutputid;
        public string videoid;
        public VideoCodec codec;
        public CaptureFormat capformat;
        public string hostaddr;
        public int tcpport;
        public int udpport;
        public string srvpasswd;
        public string nickname;
        public string username;
        public string password;
        public string audiofolder;

        public Settings()
        {
            codec.nCodec = Codec.THEORA_CODEC;
            codec.theora.nQuality = 20;
            codec.theora.nTargetBitRate = 0;

            hostaddr = "teamtalk.dyndns.dk";
            tcpport = TeamTalk4.DEFAULT_TCPPORT;
            udpport = TeamTalk4.DEFAULT_UDPPORT;
            nickname = "John Doe";
            audiofolder = "";
        }
    }
}
